<?
 require_once($_path["include"]."module.php");

 class photoalbum_pluginConfigs extends Module
 {
  function init(&$data)
  {
   parent::init($data);

   if($this->data->module!="pluginConfigs")
    $this->extend("pluginConfigs");

   $this->data->title=$this->data->l->t("Photo album plugin configuration");

   $this->data->addField("listtype", "enum", "all", "reload", false, false, "Photo album", "Show");
   $this->data->enumOptions("listtype", "Photo albums", "Crumb trail", "Latest pictures", "Latest comments", "Tag cloud");

   $this->data->addField("listcatnr", "nr", "all", "", false, false, 0, "List category");
   $this->data->addReference("listcatnr", "categories", "nr", "*:0");

   $this->data->addField("photoalbumpage", "boolean", "all", "reload", false, false, false, "Use photoalbum page");
   $this->data->addField("photoalbumpagenr", "nr", "all", "", false, false, false, "Photo album page");
   $this->data->addReference("photoalbumpagenr", "categories", "nr", "*:0");

   $this->data->addField("cmspage", "boolean", "all", "reload", false, false, false, "Use CMS");
   $this->data->addField("cmspagenr", "nr", "all", "", false, false, false, "CMS page");
   $this->data->addReference("cmspagenr", "categories", "nr", "*:0");

   $this->data->addField("pagebrowser", "boolean", "all", "reload", false, false, false, "Show page browser");
   $this->data->addField("listitems", "nr", "all", "", 0, 100, 12, "Number of pictures");
   $this->data->addField("templatepagebrowser", "localfile", "all", "recursive", false, 255, "", "Alternative page browser template");

   $this->data->addField("templateitem", "localfile", "all", "recursive", false, 255, "", "Picture template");
   $this->data->addField("templatelist", "localfile", "all", "recursive", false, 255, "", "Photo album template");
   $this->data->addField("templatecategories", "localfile", "all", "recursive", false, 255, "", "Photo albums template");
   $this->data->addField("templatecrumbtrail", "localfile", "all", "recursive", false, 255, "", "Crumb trail template");

   $this->data->group("Show", "listtype", "listcatnr", "photoalbumpage", "photoalbumpagenr", "cmspage", "cmspagenr");
   $this->data->group("Page browser", "pagebrowser", "listitems", "templatepagebrowser");
   $this->data->group("Alternative templates", "templateitem", "templatelist", "templatecategories", "templatecrumbtrail");
  }

  function postInit()
  {
   global $_path;

   $this->data->setFileDir("templatepagebrowser", $_path["project"]["templates"]);
   $this->data->setFileExtensions("templatepagebrowser", "html", "htm");
   $this->data->setFileDir("templateitem", $_path["project"]["templates"]);
   $this->data->setFileExtensions("templateitem", "html", "htm");
   $this->data->setFileDir("templatelist", $_path["project"]["templates"]);
   $this->data->setFileExtensions("templatelist", "html", "htm");
   $this->data->setFileDir("templatecategories", $_path["project"]["templates"]);
   $this->data->setFileExtensions("templatecategories", "html", "htm");
   $this->data->setFileDir("templatecrumbtrail", $_path["project"]["templates"]);
   $this->data->setFileExtensions("templatecrumbtrail", "html", "htm");

   return $this->customizeFields();
  }
  function copyPostGet(){return $this->customizeFields();}
  function editPostGet(){return $this->customizeFields();}
  function movePostGet(){return $this->customizeFields();}
  function deletePostGet(){return $this->customizeFields();}

  function customizeFields()
  {
   if($this->data->getValue("listtype")=="Photo albums")
   {
    $this->data->field["photoalbumpage"]["properties"].=";hidden";
    $this->data->field["photoalbumpagenr"]["properties"].=";hidden";

    $this->data->resetField("cmspage");

    if($this->data->getValue("cmspage"))
     $this->data->resetField("cmspagenr");
    else
     $this->data->field["cmspagenr"]["properties"].=";hidden";

    $this->data->resetField("listitems");

    $this->data->resetField("pagebrowser");

    if(!$this->data->getValue("pagebrowser"))
    {
     $this->data->field["templatepagebrowser"]["properties"].=";hidden";

     //move listitems to List group
     $this->data->field["listitems"]["min"]=0;
     $this->data->field["listitems"]["defaultvalue"]=0;
     $this->data->field["listitems"]["group"]=$this->data->getGroupID("Show");

     $this->data->field["listitems"]["title"]=$this->data->l->t("Number of Pictures");
    }
    else
    {
     $this->data->resetField("templatepagebrowser");

     $this->data->resetField("listitems");
     $this->data->field["listitems"]["group"]=$this->data->getGroupID("Page browser");
     $this->data->field["listitems"]["title"]=$this->data->l->t("Items per page");
    }

    $this->data->resetField("templateitem");
    $this->data->resetField("templatelist");
    $this->data->field["templatelist"]["title"]=$this->data->l->t("Photo album template");

    $this->data->resetField("templatecategories");
    $this->data->field["templatecrumbtrail"]["properties"].=";hidden";
   }
   else if($this->data->getValue("listtype")=="Crumb trail")
   {
    $this->data->field["listcatnr"]["properties"].=";hidden";

    $this->data->field["photoalbumpage"]["properties"].=";hidden";
    $this->data->field["photoalbumpagenr"]["properties"].=";hidden";

    $this->data->field["cmspage"]["properties"].=";hidden";
    $this->data->field["cmspagenr"]["properties"].=";hidden";

    $this->data->field["pagebrowser"]["properties"].=";hidden";
    $this->data->field["listitems"]["properties"].=";hidden";

    $this->data->field["pagebrowser"]["properties"].=";hidden";
    $this->data->field["templatepagebrowser"]["properties"].=";hidden";

    $this->data->field["templateitem"]["properties"].=";hidden";
    $this->data->field["templatelist"]["properties"].=";hidden";
    $this->data->field["templatecategories"]["properties"].=";hidden";

    $this->data->resetField("templatecrumbtrail");
   }
   else if($this->data->getValue("listtype")=="Latest pictures"||$this->data->getValue("listtype")=="Latest comments")
   {
    $this->data->resetField("photoalbumpage");

    if($this->data->getValue("photoalbumpage"))
     $this->data->resetField("photoalbumpagenr");
    else
     $this->data->field["photoalbumpagenr"]["properties"].=";hidden";


    $this->data->field["cmspage"]["properties"].=";hidden";
    $this->data->field["cmspagenr"]["properties"].=";hidden";

    $this->data->resetField("listitems");

    //move listitems to List group
    $this->data->field["listitems"]["min"]=1;
    $this->data->field["listitems"]["defaultvalue"]=5;
    $this->data->field["listitems"]["group"]=$this->data->getGroupID("Show");

    if($this->data->getValue("listtype")=="Latest pictures")
     $this->data->field["listitems"]["title"]=$this->data->l->t("Number of pictures");
    else //Latest comments
     $this->data->field["listitems"]["title"]=$this->data->l->t("Number of comments");

    $this->data->field["pagebrowser"]["properties"].=";hidden";
    $this->data->field["templatepagebrowser"]["properties"].=";hidden";

    $this->data->field["templateitem"]["properties"].=";hidden";

    $this->data->resetField("templatelist");
    $this->data->field["templatelist"]["title"]=$this->data->l->t("Latest template");
    $this->data->field["templatecategories"]["properties"].=";hidden";
    $this->data->field["templatecrumbtrail"]["properties"].=";hidden";
   }
   else //tags cloud
   {
    $this->data->resetField("photoalbumpage");

    if($this->data->getValue("photoalbumpage"))
     $this->data->resetField("photoalbumpagenr");
    else
     $this->data->field["photoalbumpagenr"]["properties"].=";hidden";


    $this->data->field["cmspage"]["properties"].=";hidden";
    $this->data->field["cmspagenr"]["properties"].=";hidden";

    $this->data->field["listitems"]["properties"].=";hidden";

    $this->data->field["pagebrowser"]["properties"].=";hidden";
    $this->data->field["templatepagebrowser"]["properties"].=";hidden";

    $this->data->field["templateitem"]["properties"].=";hidden";

    $this->data->resetField("templatelist");
    $this->data->field["templatelist"]["title"]=$this->data->l->t("Cloud template");
    $this->data->field["templatecategories"]["properties"].=";hidden";
    $this->data->field["templatecrumbtrail"]["properties"].=";hidden";
   }

   return true;
  }

 }
?>
